## altos 1.2.1

=== doc/Makefile ===
#
#	http://docbook.sourceforge.net/release/xsl/current/README
#

RELNOTES=\
	release-notes-0.7.1.html \
	release-notes-0.8.html \
	release-notes-0.9.html \
	release-notes-0.9.2.html \
	release-notes-1.0.1.html \
	release-notes-1.1.html \
	release-notes-1.1.1.html \
	release-notes-1.2.html \
	release-notes-1.2.1.html

RELNOTES_XSL=$(RELNOTES:.html=.xsl)
HTML=altusmetrum.html altos.html telemetry.html companion.html micropeak.html $(RELNOTES)
PDF=altusmetrum.pdf altos.pdf telemetry.pdf companion.pdf micropeak.pdf
DOC=$(HTML) $(PDF)
HTMLSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/html/docbook.xsl
FOSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl
PDFSTYLE=
IMAGES=telemetrum.svg telemini.svg

.SUFFIXES: .xsl .html .fo .pdf

XSLTFLAGS=--stringparam section.autolabel 1 --xinclude

.xsl.html:
	xsltproc $(XSLTFLAGS) -o $@ $(HTMLSTYLE) $*.xsl

.xsl.fo:
	xsltproc $(XSLTFLAGS) -o $@ $(FOSTYLE) $*.xsl

.fo.pdf:
	fop -fo $*.fo -pdf $@

all:	$(HTML) $(PDF)

install:	all

publish:	$(DOC)
	cp $(DOC) /home/bdale/web/altusmetrum/AltOS/doc/
	(cd /home/bdale/web/altusmetrum ; \
	 git add /home/bdale/web/altusmetrum/AltOS/doc/* ; \
	 echo "update docs" | \
	 git commit -F - /home/bdale/web/altusmetrum/AltOS/doc/* ; \
	 git push)

clean:
	rm -f $(HTML) $(PDF) *.fo

distclean:
	rm -f $(HTML) $(PDF) *.fo

altusmetrum.html: $(RELNOTES_XSL) $(IMAGES)
altusmetrum.fo: $(RELNOTES_XSL) $(IMAGES)

indent:		altusmetrum.xsl
	xmlindent -i 2 < altusmetrum.xsl > altusmetrum.new

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath kalman_micro.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

include Version

SDCCDIRS=\
	telemetrum-v1.2 telemetrum-v1.1 telemetrum-v1.0 \
	teledongle-v0.2 teledongle-v0.1 \
	telemini-v1.0 telenano-v0.1 \
	telebt-v1.0 \
	telemetrum-v0.1-sky telemetrum-v0.1-sirf \
	telelaunch-v0.1 tidongle test \
	teleterra-v0.2 teleshield-v0.1 \
	telefire-v0.1 \
	spiradio-v0.1

AVRDIRS=\
	telescience-v0.1 telescience-pwm telepyro-v0.1 micropeak

ARMDIRS=\
	telemega-v0.1 telemega-v0.1/flash-loader \
	telemega-v0.3 telemega-v0.3/flash-loader \
	megadongle-v0.1 megadongle-v0.1/flash-loader \
	telegps-v0.1 telegps-v0.1/flash-loader \
	stm-bringup stm-demo \
	telelco-v0.2 telelco-v0.2/flash-loader \
	telescience-v0.2

ifneq ($(shell which sdcc),)
	SUBDIRS += $(SDCCDIRS)
endif

ifneq ($(shell which avr-gcc),)
	SUBDIRS += $(AVRDIRS)
endif

ifneq ($(shell which arm-none-eabi-gcc),)
	SUBDIRS += $(ARMDIRS)
endif

ALLDIRS=$(SDCCDIRS) $(AVRDIRS) $(ARMDIRS)

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

ALL_RECURSIVE_TARGETS = clean-recursive

$(ALL_RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(ALLDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h ao_kalman.h ao_whiten.h

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

ao_kalman.h: make-kalman kalman.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local:
	rm -f altitude.h ao_kalman.h

=== src/megadongle-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_cc1120_CC1120.h \
	ao_task.h \
	ao_whiten.h \
	stm32l.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1120.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_monitor.c \
	ao_rssi.c \
	ao_send_packet.c \
	ao_packet_master.c \
	ao_packet.c

PRODUCT=MegaDongle-v0.1
PRODUCT_DEF=-DMEGADONGLE
IDPRODUCT=0x0024

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=megadongle-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_megadongle.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/micropeak/Makefile ===
#
# Tiny AltOS build
#
#
vpath % ../attiny:../drivers:../core:..
vpath ao-make-product.5c ../util
vpath make-altitude-pa ../util

MCU=attiny85
DUDECPUTYPE=t85
#PROGRAMMER=stk500v2 -P usb
PROGRAMMER=usbtiny
LOADCMD=avrdude
LOADSLOW=-i 32 -B 32
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:
CC=avr-gcc
OBJCOPY=avr-objcopy

ifndef VERSION
include ../Version
endif

ALTOS_SRC = \
	ao_micropeak.c \
	ao_spi_attiny.c \
	ao_led.c \
	ao_clock.c \
	ao_ms5607.c \
	ao_exti.c \
	ao_convert_pa.c \
	ao_report_tiny.c \
	ao_notask.c \
	ao_eeprom_tiny.c \
	ao_panic.c \
	ao_log_micro.c \
	ao_async.c \
	ao_microflight.c \
	ao_microkalman.c

INC=\
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_exti.h \
	ao_ms5607.h \
	ao_log_micro.h \
	ao_micropeak.h \
	altitude-pa.h

IDPRODUCT=0
PRODUCT=MicroPeak-v0.1
PRODUCT_DEF=-DMICROPEAK
CFLAGS = $(PRODUCT_DEF) -I. -I../attiny -I../core -I.. -I../drivers
CFLAGS += -g -mmcu=$(MCU) -Wall -Wstrict-prototypes -O2 -mcall-prologues -DATTINY

NICKLE=nickle

PROG=micropeak-v0.1

SRC=$(ALTOS_SRC)
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG) $(PROG).hex

CHECK=sh ../util/check-avr-mem

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)
	$(call quiet,CHECK) $(PROG) || ($(RM) -f $(PROG); exit 1)

$(PROG).hex: $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(PROG).hex
	$(LOADCMD) $(LOADARG)$(PROG).hex

load-slow: $(PROG).hex
	$(LOADCMD) $(LOADSLOW) $(LOADARG)$(PROG).hex

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.o: ao_product.c ao_product.h

%.o : %.c $(INC)
	$(call quiet,CC) -c $(CFLAGS) $<

distclean:	clean

clean:
	rm -f *.o $(PROG) $(PROG).hex
	rm -f ao_product.h

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

install:

uninstall:

$(OBJ): ao_product.h $(INC)

=== src/stm-bringup/Makefile ===
vpath % ..:../core:../product:../drivers:../stm
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

CC=arm-none-eabi-gcc
OBJCOPY=arm-none-eabi-objcopy

PDCLIB=/opt/cortex
C_LIB=$(PDCLIB)/lib/pdclib-cortex-m3.a
C_INC=-I$(PDCLIB)/include

DEF_CFLAGS=-g -std=gnu99 -Os -mlittle-endian -mthumb -ffreestanding -nostdlib -I. -I../../src/stm $(C_INC)

# to run from SRAM
LD_FLAGS_RAM=-L../stm -Wl,-Taltos-ram.ld
LD_FLAGS=-L../stm -Wl,-Tbringup.ld

CFLAGS=$(DEF_CFLAGS) -mcpu=cortex-m3 -DCONFIG_STM32L_DISCOVERY

SRC=bringup.c ao_interrupt.c
OBJ=$(SRC:.c=.o)

all: bringup-ram.elf bringup.elf

%.bin: %.elf
	$(OBJCOPY) -O binary $^ $@

bringup.elf: $(OBJ) $(C_LIB) bringup.ld
	$(CC) $(CFLAGS) $(LD_FLAGS) -o $@ $(OBJ) $(C_LIB) -lgcc

bringup-ram.elf: $(OBJ) $(C_LIB) altos-ram.ld
	$(CC) $(CFLAGS) $(LD_FLAGS_RAM) -o $@ $(OBJ) $(C_LIB) -lgcc

clean:
	rm -f *.o
	rm -rf *.elf
	rm -rf *.bin

.PHONY: all clean

install:

uninstall:

=== src/stm-demo/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_serial_stm.c \
	ao_lcd_stm.c \
	ao_lcd_font.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_data.c \
	ao_i2c_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_event.c \
	ao_quadrature.c \
	ao_button.c

PRODUCT=StmDemo-v0.0
PRODUCT_DEF=-DSTM_DEMO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) -g -Os

PROG=stm-demo-$(VERSION)
ELF=$(PROG).elf
IHX=$(PROG).ihx

SRC=$(ALTOS_SRC) ao_demo.c
OBJ=$(SRC:.c=.o)

all: $(ELF) $(IHX)

LDFLAGS=-L../stm -Wl,-Taltos.ld

$(ELF): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJ) $(SAT_CLIB) -lgcc

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== src/stm-flash/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_boot_pin.c \
	ao_product.c \
	ao_notask.c \
	ao_timer.c \
	ao_usb_stm.c \
	ao_flash_stm.c

PRODUCT=AltosFlash-$(VERSION)
PRODUCT_DEF=-DALTOS_FLASH
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) -g -Os

PROG=altos-flash-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_stm_flash.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

LDFLAGS=-L../stm -Wl,-Taltos-loader.ld

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== src/telebt-v1.0/Makefile ===
#
# TeleBT build file
#

TELEBT_VER=1.0
TELEBT_DEF=1_0

vpath %.c ..:../core:../cc1111:../drivers:../product
vpath %.h ..:../core:../cc1111:../drivers:../product
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

INC = \
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	cc1111.h \
	ao_product.h

CORE_SRC = \
	ao_cmd.c \
	ao_config.c \
	ao_gps_print.c \
	ao_monitor.c \
	ao_mutex.c \
	ao_panic.c \
	ao_state.c \
	ao_stdio.c \
	ao_task.c \
	ao_freq.c

CC1111_SRC = \
	ao_dbg.c \
	ao_adc.c \
	ao_dma.c \
	ao_led.c \
	ao_packet.c \
	ao_packet_master.c \
	ao_radio.c \
	ao_romconfig.c \
	ao_serial.c \
	ao_string.c \
	ao_timer.c \
	ao_usb.c \
	_bp.c

DRIVER_SRC = \
	ao_btm.c

PRODUCT_SRC = \
	ao_telebt.c

SRC = \
	$(CORE_SRC) \
	$(CC1111_SRC) \
	$(DRIVER_SRC) \
	$(PRODUCT_SRC)

PROGNAME = telebt-v$(TELEBT_VER)
PROG = $(PROGNAME)-$(VERSION).ihx
PRODUCT=TeleBT-v$(TELEBT_VER)
PRODUCT_DEF=-DTELEBT_V_$(TELEBT_DEF)
IDPRODUCT=0x000e

include ../cc1111/Makefile.cc1111

NICKLE=nickle
CHECK_STACK=sh ../util/check-stack

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG)

$(PROG): $(REL) Makefile
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(REL) && cp $(PROG) $(PMAP) ..
	$(call quiet,CHECK_STACK) ../cc1111/ao_arch.h $(PMEM) || rm $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean: clean-cc1111

install:

uninstall:

=== src/telegps-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_whiten.h \
	ao_cc115l.h \
	ao_fec.h \
	stm32l.h \
	ao_sdcard.h \
	ao_bufio.h \
	ao_fat.h \
	Makefile


#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_serial_stm.c \
	ao_gps_skytraq.c \
	ao_cc115l.c \
	ao_fec_tx.c \
	ao_rfpa0133.c \
	ao_aprs.c \
	ao_storage.c \
	ao_eeprom_stm.c \
	ao_sdcard.c \
	ao_bufio.c \
	ao_fat.c \
	ao_log_fat.c \
	ao_gps_report_mega.c \
	ao_telemetry.c \
	$(SAMPLE_PROFILE)

PRODUCT=TeleGPS-v0.1
PRODUCT_DEF=-DTELEGPS
IDPRODUCT=0x0025

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=telegps-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_telegps.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/telelco-v0.1/Makefile ===
#
# AltOS build for TeleLCO
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	ao_product.h \
	ao_seven_segment.h \
	ao_lco.h \
	ao_lco_cmd.h \
	ao_lco_func.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	stm32l.h

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_eeprom_stm.c \
	ao_lcd_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_radio_master.c \
	ao_seven_segment.c \
	ao_quadrature.c \
	ao_button.c \
	ao_event.c \
	ao_lco.c \
	ao_lco_cmd.c \
	ao_lco_func.c \
	ao_radio_cmac_cmd.c

PRODUCT=TeleLCO-v0.1
PRODUCT_DEF=-DTELEMEGA
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) -Os -g

PROGNAME=telelco-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_telelco.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

../altitude.h: make-altitude
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/telelco-v0.2/Makefile ===
#
# AltOS build for TeleLCO
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	ao_product.h \
	ao_seven_segment.h \
	ao_lco.h \
	ao_lco_cmd.h \
	ao_lco_func.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	ao_cc1120_CC1120.h \
	stm32l.h

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_eeprom_stm.c \
	ao_lcd_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_cc1120.c \
	ao_radio_cmac.c \
	ao_aes.c \
	ao_aes_tables.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_seven_segment.c \
	ao_quadrature.c \
	ao_button.c \
	ao_event.c \
	ao_lco.c \
	ao_lco_cmd.c \
	ao_lco_func.c \
	ao_radio_cmac_cmd.c

PRODUCT=TeleLCO-v0.2
PRODUCT_DEF=-DTELEMEGA
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) -Os -g

PROGNAME=telelco-v0.2
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_telelco.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

../altitude.h: make-altitude
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/telemega-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_hmc5883.h \
	ao_mpu6000.h \
	ao_mma655x.h \
	ao_cc1120_CC1120.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#
#	ao_hmc5883.c

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_gps_skytraq.c \
	ao_gps_report_mega.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1120.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mma655x.c \
	ao_hmc5883.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_mpu6000.c \
	ao_convert_pa.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_telemetry.c \
	ao_packet_slave.c \
	ao_packet.c \
	ao_companion.c \
	ao_pyro.c \
	ao_aprs.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=TeleMega-v0.1
PRODUCT_DEF=-DTELEMEGA
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF) -Os -g

PROGNAME=telemega-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_telemega.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== debian/changelog ===
altos (1.2.1-3) unstable; urgency=low

  [ Keith Packard ]
  * altos: Make FAT test program link explicitly against libcrypto

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2013 16:07:25 +0200

altos (1.2.1-2) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Add TeleBT firmware to release

 -- Bdale Garbee <bdale@gag.com>  Tue, 21 May 2013 12:53:15 -0600

altos (1.2.1-1) unstable; urgency=low

  [ Mike Beattie ]
  * altosui: remove un-used imports
  * altosui: comment out un-used fields and methods
  * altosui: comment out un-used classes and associated imports
  * altosui: remove redundant catches
  * altosui: access class variables by class, not instance
  * altosui: comment out/remove dead code
  * altosui: add type to … implements Comparable.
  * altosui: comment out obsolete code - could probably remove the file.
  * altoslib/altosui: begin moving preferences "backend" into interface
  * altosui: add missing methods for Backend, fix BT code.
  * altosui/altoslib: add methods to interface, fix imports/exceptions in BT code
  * altoslib: Add AltosPreferencesBackend.java to Makefile.am
  * altosui/altoslib: Add call to …Preferences.init() with backend object, remove static init()
  * altosui/altoslib: bug fixes, update Makefile.am
  * altosui: add missing try/catch
  * altosui: Add return to try/catch.. duh
  * altosui: revert AltosUIPreferences init() method
  * altosui: remove un-used import
  * altosdroid: implement AltosPreferencesBackend, and initialize.
  * altosdroid: Update Makefile.am
  * altosdroid: simplify keys() method
  * altosdroid: cosmetic re-order of methods
  * altos{lib,ui,droid}: move OS specific code out of altoslib
  * altoslib: make parts of AltosLog public for usage outside altoslib.
  * altosdroid: initial implementation of telemetry logging.
  * altosdroid: add autogenerated BuildInfo.java
  * altosdroid: match only the current version tag
  * altosdroid: Add branch to BuildInfo
  * altosdroid: Add version information to UI
  * altosdroid: more reliable branch detection
  * altosdroid: more restrictive commit no. matching
  * altosdroid: initial release to Play Store
  * all: clean up .gitignore files and Makefile clean targets
  * altosdroid: excise old code/xml
  * altosdroid: update copyrights/licensing
  * altosdroid: minor whitespace cleanup
  * altosdroid: Fix up some formatting in manifest
  * altosdroid: Only update BuildInfo.java when other source files change
  * altosdroid: use a glob for source files
  * altosdroid: adjust Makefile rules
  * altosdroid: Adjust build system for GMaps & Tabs support
  * altosdroid: Symlink red/green/gray LEDs via build system
  * altosdroid: adjust release Makefile target
  * altosdroid: convert spaces to tabs in strings.xml
  * altosdroid: make AltosDroid.pos() static
  * altosdroid: whitespace cleanup
  * altosdroid: Import initial versions of XML and Java for Tab content
  * altosdroid: implement tabs interface
  * altosdroid: implement UI updating on tabs
  * altosdroid: implement Age field updating
  * altosdroid: Auto tab changing
  * altosdroid: fix side-to-side scrolling in map tab
  * ao-tools: Add ao-edit-telem to .gitignore
  * altosdroid: adjust clean targets to get rid of automake warning
  * altosdroid: Add SDK checks to configure.ac
  * altosdroid: programmatically create map fragment
  * altosdroid: Add rocket and pad map markers
  * altosdroid: Add map polyline between pad and rocket
  * altosdroid: whitespace and import tidyup
  * altosdroid: incorrect property syntax in pad xml
  * altosdroid: Add filters for TeleBT bluetooth devices.
  * altosdroid: set tab height based on screen density.
  * altosdroid: check for mAltosVoice being null.
  * altosdroid: fix up 'send last' code.
  * altosdroid: Make the service class implement locationlistener
  * altosdroid: Release v1.2, push to play store.
  * altos: update .gitignore files
  * altosdroid: Bump APK version, and re-upload.

  [ Bdale Garbee ]
  * further refinment of Releasing document
  * remove local copy of launch-sites.txt and reference to old web location
  * let upstream version rule, don't force use of Debian version in firmware
  * update stlink-pins document to make it clear 4-pin MicroMaTch is our standard STM32L programming connector, and the big MM thing was v0.1 only
  * document what the 'Age' value in the AltosUI display means
  * document what the 'Age' value in the AltosUI display means
  * add pcb overall dimensions and screw sizes the holes are intended for
  * update copyright year to 2013
  * various updates to the text .. more SMA to BNC adapter references, etc
  * improve text in telebt turn-on script
  * document my snazzy new 4-pin to MM v0.1 debug cable
  * name change from MegaMetrum to TeleMega
  * document need for an ARM Cortex toolchain in /opt/cortex, point to build docs
  * point to pkgconfig content in /opt/cortex so stlink stuff works
  * add libssl-dev as a build dep since it's used in FAT filesystem test code
  * update ChangeLog for release
  * update changelog for Debian build
  * add sox as a build dependency
  * update Releasing document to reflect process as of 1.2
  * update configure.ac to reflect version 1.2.1
  * update changelog for 1.2.1 release
  * update Changelog for 1.2.1 release, again
  * unwind debian/changelog to last release

  [ Keith Packard ]
  * Bump revision to 1.2 development branch
  * altos: Shrink Pa to altitude table
  * altos: Provide MS5611 configuration option, HAS_MS5611
  * altos/megametrum: Commit for boards with MS5611 baro sensor
  * altos: Re-enable the ms5607 and mma655x acquisition threads
  * altos/megametrum: Use mma655x for acceleration measurements now
  * altos/megametrum: Make MS5607 driver hold SPI bus for whole operation
  * altos/drivers: Use data ring values for MS5607 presentation
  * altos/stm: Clean up SPI pin configuration code
  * altos/telefire: Make sure armed alarm goes off on time
  * altos/stm: Set SPI clock high for disabled SPI busses


=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, cc1111, xsltproc, fop, docbook-xml, docbook-xsl, swig, default-jdk, freetts, libtool, libjfreechart-java, libbluetooth-dev, pkg-config, libelf-dev, libbluetooth-dev, libssl-dev, sox
Standards-Version: 3.9.4
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime, freetts, nickle, libjfreechart-java
Suggests: slim | gdm
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')

# this target invoked by git-buildpackage using a clean hook, see .gbp.conf
prebuild:
	echo "not frobbing changelog for official builds"

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh --prefix=/usr
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	(cd doc ; $(MAKE))
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/altos install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/altos/usr/lib/altos/ -name '*.la'`

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/gdm/themes/altusmetrum/background.png
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/slim/themes/altusmetrum/background.png
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
